Groovy 1.7.10

## org.codehaus.groovy.runtime.metaclass
[Java] Class MixinInstanceMetaMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.metaclass.MixinInstanceMetaMethod

    public class MixinInstanceMetaMethod
    extends MetaMethod

MetaMethod for mixed in classes

Field Summary

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`MixinInstanceMetaMethod(MetaMethod method, MixinInMetaClass mixinInMetaClass)`

Method Summary
`CachedClass` | `getDeclaringClass()`
`int` | `getModifiers()`
`String` | `getName()`
`protected Class[]` | `getPT()`
`Class` | `getReturnType()`
`Object` | `invoke(Object object, Object[] arguments)`

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MixinInstanceMetaMethod

    public MixinInstanceMetaMethod(MetaMethod method, MixinInMetaClass mixinInMetaClass)

Method Detail

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getPT

    protected Class[] getPT()

### getReturnType

    public Class getReturnType()

### invoke

    public Object invoke(Object object, Object[] arguments)

Copyright © 2003-2010 The Codehaus. All rights reserved.